commit: b3ab9e304fe5818f53b080308a8fbe7c2051ccb7
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 27 09:52:11 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 27 10:02:22 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3ab9e30
dev-python/typing-extensions: Switch to PEP 517 build
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../typing-extensions-4.0.1-r1.ebuild | 27 ++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/dev-python/typing-extensions/typing-extensions-4.0.1-r1.ebuild
b/dev-python/typing-extensions/typing-extensions-4.0.1-r1.ebuild
new file mode 100644
index 000000000000..40d1dbb27581
--- /dev/null
+++ b/dev-python/typing-extensions/typing-extensions-4.0.1-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=typing-${PV}
+DESCRIPTION="Type Hint extensions from Python 3.8 backported"
+HOMEPAGE="
+ https://pypi.org/project/typing-extensions/
+ https://github.com/python/typing/"
+SRC_URI="
+ https://github.com/python/typing/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}/typing_extensions
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+
+python_test() {
+ cd "${S}"/src || die
+ "${EPYTHON}" test_typing_extensions.py -v || die "tests failed under
${EPYTHON}"
+}